@use 'partials/classes/behavior';
@use 'partials/components/menu';

app-menu-button {
  @extend .clickable;
}

.float-container {
  position: absolute;
  width: 100%;
  height: 100vh;
  // slide viewer overview map has z-index 100
  // slide viewer toolbar has z-index 110
  // - set this to be above all slide viewer elements
  z-index: 150;
}

// menu is laid out in flex columns where left button column is start
.menu-flex-container {
  display: flex;
  height: 100%;
}

.right-menu-content-container {
  display: flex;
  flex-direction: column;
  align-self: flex-start;
}

.workspace-container {
  display: flex;
  flex-grow: 1;
}

.workspace {
  width: 100%;
  height: 100%;
}

.btn-right-container {
  display: flex;
  flex-direction: column;
}
